import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询文件库列表
export function listFile(query) {
  return request({
    url: baseUrl + '/tool/file/list',
    method: 'get',
    params: query
  })
}

// 查询文件库详细
export function getFile(id) {
  return request({
    url: baseUrl + '/tool/file/' + id,
    method: 'get'
  })
}

// 新增文件库
export function addFile(data) {
  return request({
    url: baseUrl + '/tool/file',
    method: 'post',
    data: data
  })
}

// 修改文件库
export function updateFile(data) {
  return request({
    url: baseUrl + '/tool/file',
    method: 'put',
    data: data
  })
}

// 删除文件库
export function delFile(id) {
  return request({
    url: baseUrl + '/tool/file/' + id,
    method: 'delete'
  })
}

// 文件上传
export function uploadFile(file) {
  return request({
    url: `/file/upload`,
    method: 'post',
    data: file,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}
